Upstream information

CVE-2018-17098 at MITRE

Description

The WavFileBase class in WavFile.cpp in Olli Parviainen SoundTouch 2.0 allows remote attackers to cause a denial of service (heap corruption from size inconsistency) or possibly have unspecified other impact, as demonstrated by SoundStretch.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1108632 [REOPENED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libSoundTouch0 >= 1.7.1-5.11.1
  • libSoundTouch0-32bit >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2564
SUSE-SLE-DESKTOP-12-SP3-2019-96
SUSE Linux Enterprise Desktop 12 SP4
  • libSoundTouch0 >= 1.7.1-5.11.1
  • libSoundTouch0-32bit >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2018-2564
SUSE-SLE-DESKTOP-12-SP4-2019-96
SUSE Linux Enterprise Module for Desktop Applications 15
  • libSoundTouch0 >= 1.8.0-3.11.1
  • soundtouch >= 1.8.0-3.11.1
  • soundtouch-devel >= 1.8.0-3.11.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-2565
SUSE-SLE-Module-Desktop-Applications-15-2019-112
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libSoundTouch0 >= 1.8.0-3.11.1
  • soundtouch-devel >= 1.8.0-3.11.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA libSoundTouch0
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • soundtouch >= 1.8.0-3.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2018-2565
SUSE-SLE-Module-Development-Tools-OBS-15-2019-112
SUSE Linux Enterprise Server 12 SP3
  • libSoundTouch0 >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2564
SUSE-SLE-SERVER-12-SP3-2019-96
SUSE Linux Enterprise Server 12 SP4
  • libSoundTouch0 >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2564
SUSE-SLE-SERVER-12-SP4-2019-96
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libSoundTouch0 >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2564
SUSE-SLE-SERVER-12-SP3-2019-96
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libSoundTouch0 >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2564
SUSE-SLE-SERVER-12-SP4-2019-96
SUSE Linux Enterprise Software Development Kit 12 SP3
  • soundtouch >= 1.7.1-5.11.1
  • soundtouch-devel >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2564
SUSE-SLE-SDK-12-SP3-2019-96
SUSE Linux Enterprise Software Development Kit 12 SP4
  • soundtouch >= 1.7.1-5.11.1
  • soundtouch-devel >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-2564
SUSE-SLE-SDK-12-SP4-2019-96
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libSoundTouch0-32bit >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-2564
SUSE-SLE-WE-12-SP3-2019-96
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libSoundTouch0-32bit >= 1.7.1-5.11.1
  • soundtouch >= 1.7.1-5.11.1
Patchnames:
SUSE-SLE-WE-12-SP4-2018-2564
SUSE-SLE-WE-12-SP4-2019-96
openSUSE Leap 15.0
  • libSoundTouch0 >= 1.8.0-lp150.2.9.1
  • libSoundTouch0-32bit >= 1.8.0-lp150.2.9.1
  • libSoundTouch0-32bit-debuginfo >= 1.8.0-lp150.2.9.1
  • libSoundTouch0-debuginfo >= 1.8.0-lp150.2.9.1
  • soundtouch >= 1.8.0-lp150.2.9.1
  • soundtouch-debuginfo >= 1.8.0-lp150.2.9.1
  • soundtouch-debugsource >= 1.8.0-lp150.2.9.1
  • soundtouch-devel >= 1.8.0-lp150.2.9.1
Patchnames:
openSUSE-2019-86
openSUSE-2019-898
openSUSE Leap 42.3
  • libSoundTouch0 >= 1.8.0-6.3.1
  • libSoundTouch0-32bit >= 1.8.0-6.3.1
  • libSoundTouch0-debuginfo >= 1.8.0-6.3.1
  • libSoundTouch0-debuginfo-32bit >= 1.8.0-6.3.1
  • soundtouch >= 1.8.0-6.3.1
  • soundtouch-debuginfo >= 1.8.0-6.3.1
  • soundtouch-debugsource >= 1.8.0-6.3.1
  • soundtouch-devel >= 1.8.0-6.3.1
Patchnames:
openSUSE-2018-1361


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 soundtouch Released
SUSE Linux Enterprise Desktop 12 SP4 soundtouch Released
SUSE Linux Enterprise High Performance Computing 12 soundtouch Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA soundtouch Released
SUSE Linux Enterprise SDK 12 SP3 soundtouch Released
SUSE Linux Enterprise SDK 12 SP4 soundtouch Released
SUSE Linux Enterprise Server 12 GA LTSS soundtouch Affected
SUSE Linux Enterprise Server 12 SP1 LTSS soundtouch Affected
SUSE Linux Enterprise Server 12 SP2 LTSS soundtouch Affected
SUSE Linux Enterprise Server 12 SP3 soundtouch Released
SUSE Linux Enterprise Server 12 SP4 soundtouch Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 soundtouch Released
SUSE Linux Enterprise Workstation Extension 12 SP3 soundtouch Released
SUSE Linux Enterprise Workstation Extension 12 SP4 soundtouch Released